version: '3'
services:
  database:
    image: postgres:latest
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_DB: api
    # ports:
    #   - '3307:5432'
    volumes:
      - ./import.sql:/docker-entrypoint-initdb.d/import.sql
    networks:
      - network

  api:
    build:
      context: .
      dockerfile: Dockerfile
    depends_on:
      - database
    ports:
      - '8080:8080'
    networks:
      - network

networks:
  network: